## authbind 1.1.5.1

=== Makefile ===
# Makefile for authbind
# 
# authbind is Copyright (C) 1998 Ian Jackson
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
#
# $Id: Makefile,v 1.5 1998/08/30 15:19:20 ian Exp $

prefix=/usr/local

bin_dir=$(prefix)/bin
lib_dir=$(prefix)/lib/authbind

share_dir=$(prefix)/share
man_dir=$(share_dir)/man
man1_dir=$(man_dir)/man1
man8_dir=$(man_dir)/man8

etc_dir=/etc/authbind

OPTIMISE=	-O2
LDFLAGS=	-g
CFLAGS=		-g $(OPTIMISE) \
		-Wall -Wwrite-strings -Wpointer-arith -Wimplicit \
		-Wnested-externs -Wmissing-prototypes -Wstrict-prototypes
CPPFLAGS=	-DMAJOR_VER='"$(MAJOR)"' -DMINOR_VER='"$(MINOR)"' \
		-DLIBAUTHBIND='"$(lib_dir)/$(LIBCANON)"' \
		-DHELPER='"$(lib_dir)/helper"' -DCONFIGDIR='"$(etc_dir)"'

MAJOR=1
MINOR=0
LIBCANON=	libauthbind.so.$(MAJOR)
LIBTARGET=	$(LIBCANON).$(MINOR)

TARGETS=		authbind helper $(LIBTARGET)
MANPAGES_1=		authbind.1
MANPAGES_8=		authbind-helper.8

all:			$(TARGETS)

install:		$(TARGETS)
		install -o root -g root -m 755 -d $(lib_dir) $(man1_dir) $(man8_dir)
		install -o root -g root -m 755 -s authbind $(bin_dir)/.
		install -o root -g root -m 644 $(LIBTARGET) $(lib_dir)/.
		strip --strip-unneeded $(lib_dir)/$(LIBTARGET)
		ln -sf $(LIBTARGET) $(lib_dir)/$(LIBCANON)
		install -o root -g root -m 4755 -s helper $(lib_dir)/.
		install -o root -g root -m 755 -d $(etc_dir) \
			$(etc_dir)/byport $(etc_dir)/byaddr $(etc_dir)/byuid

install_man:		$(MANPAGES_1) $(MANPAGES_8)
		install -o root -g root -m 644 $(MANPAGES_1) $(man1_dir)/.
		install -o root -g root -m 644 $(MANPAGES_8) $(man8_dir)/.

libauthbind.o:		libauthbind.c authbind.h
		$(CC) -D_REENTRANT $(CFLAGS) $(CPPFLAGS) -c -o $@ -fPIC $<

authbind:		authbind.o
helper:			helper.o

helper.o authbind.o:	authbind.h

$(LIBTARGET):		libauthbind.o
		ld -shared -soname $(LIBCANON) -o $@ $< -ldl -lc

clean distclean:
		rm -f $(TARGETS) *.o *~ ./#*# *.bak *.new core libauthbind.so*

=== debian/changelog ===
authbind (1.1.5.1) frozen unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules (clean): use tab not spaces, so `debian/rules clean'
    actually works. [#27360]
  * debian/rules (binary-arch): don't compress the copyright file.
  * Makefile: install the shared library non-executable.
 
 -- James Troup <james@nocrew.org>  Sun,  3 Jan 1999 21:23:50 +0000

authbind (1.1.5) unstable; urgency=low

  * Fix coredump bug !

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 31 Aug 1998 15:32:44 +0100

authbind (1.1.4) unstable; urgency=low

  * Allow bind() to port 0 !

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 31 Aug 1998 15:23:30 +0100

authbind (1.1.3) unstable; urgency=low

  * Make IPPORT_RESERVED check work (oops!).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 20:52:10 +0100

authbind (1.1.2) unstable; urgency=low

  * Make --deep option actually work (oops).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 20:09:39 +0100

authbind (1.1.1) unstable; urgency=low

  * Fix Description.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 16:34:28 +0100

authbind (1.1) experimental; urgency=low

  * Allow control of when the LD_PRELOAD is passed on.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 16:18:24 +0100

authbind (1.0) experimental; urgency=low

  * Following testing, we can call this 1.0.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 30 Aug 1998 03:15:21 +0100

authbind (0.1-1) experimental; urgency=low

  * Initial release.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 29 Aug 1998 20:10:37 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: authbind
Section: utils
Priority: extra
Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
Standards-Version: 2.1.1.0

Package: authbind
Architecture: any
Depends: ${shlibs:Depends}
Description: Allows non-root programs to bind() to low ports
 This package allows a package to be started as non-root but
 still bind to low ports, without any changes to the application.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules for authbind
# 
# authbind is Copyright (C) 1998 Ian Jackson
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
#
# $Id: rules,v 1.3 1998/08/30 02:50:08 ian Exp $

CC= gcc

package=authbind
major=1
minor=0

arch = $(shell dpkg --print-architecture)

build: 
	$(MAKE) prefix=/usr

clean:	
	$(MAKE) distclean
	rm -rf debian/{files,substvars,tmp} build
	rm -f debian/*~ debian/#*# debian/core debian/*.bak

binary-indep:   checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

lab=libauthbind.so.$(major).$(minor)
udp=debian/tmp/usr/doc/$(package)

binary-arch:	checkroot build
	rm -rf debian/tmp
	install -d -g root -m 755 -o root debian/tmp/DEBIAN $(udp) \
		debian/tmp/usr/{bin,lib/$(package),man}
	$(MAKE) prefix=debian/tmp/usr etc_dir=debian/tmp/etc/authbind \
		man_dir=debian/tmp/usr/man  install install_man
	install -g root -o root -m 644 debian/changelog $(udp)/changelog.Debian
	gzip -9 debian/tmp/usr/man/man*/* $(udp)/*
	install -g root -o root -m 644 debian/copyright $(udp)/.
	install -g root -o root -m 755 debian/postrm debian/tmp/DEBIAN
ifneq ($(arch),alpha)
	install -g root -o root -m 644 debian/shlibs debian/tmp/DEBIAN
else
	install -g root -o root -m 644 debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
endif
	dpkg-shlibdeps ./authbind
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary:	 binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

## authbind 1.1.5.2-0.1

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,10 @@
 
 etc_dir=/etc/authbind
 
+INSTALL_FILE=install -o root -g root -m 644 
+INSTALL_PROGRAM=install -o root -g root -m 755 -s
+INSTALL_DIR=install -o root -g root -m 755 -d 
+
 OPTIMISE=	-O2
 LDFLAGS=	-g
 CFLAGS=		-g $(OPTIMISE) \
@@ -37,7 +41,8 @@
 		-Wnested-externs -Wmissing-prototypes -Wstrict-prototypes
 CPPFLAGS=	-DMAJOR_VER='"$(MAJOR)"' -DMINOR_VER='"$(MINOR)"' \
 		-DLIBAUTHBIND='"$(lib_dir)/$(LIBCANON)"' \
-		-DHELPER='"$(lib_dir)/helper"' -DCONFIGDIR='"$(etc_dir)"'
+		-DHELPER='"$(lib_dir)/helper"' -DCONFIGDIR='"$(etc_dir)"' \
+		-D_GNU_SOURCE
 
 MAJOR=1
 MINOR=0
@@ -51,18 +56,19 @@
 all:			$(TARGETS)
 
 install:		$(TARGETS)
-		install -o root -g root -m 755 -d $(lib_dir) $(man1_dir) $(man8_dir)
-		install -o root -g root -m 755 -s authbind $(bin_dir)/.
-		install -o root -g root -m 644 $(LIBTARGET) $(lib_dir)/.
+		$(INSTALL_DIR) $(lib_dir) $(man1_dir) $(man8_dir)
+		$(INSTALL_PROGRAM) authbind $(bin_dir)/.
+		$(INSTALL_FILE) $(LIBTARGET) $(lib_dir)/.
 		strip --strip-unneeded $(lib_dir)/$(LIBTARGET)
 		ln -sf $(LIBTARGET) $(lib_dir)/$(LIBCANON)
-		install -o root -g root -m 4755 -s helper $(lib_dir)/.
-		install -o root -g root -m 755 -d $(etc_dir) \
+		$(INSTALL_PROGRAM) helper $(lib_dir)/.
+		chmod u+s $(lib_dir)/helper
+		$(INSTALL_DIR) $(etc_dir) \
 			$(etc_dir)/byport $(etc_dir)/byaddr $(etc_dir)/byuid
 
 install_man:		$(MANPAGES_1) $(MANPAGES_8)
-		install -o root -g root -m 644 $(MANPAGES_1) $(man1_dir)/.
-		install -o root -g root -m 644 $(MANPAGES_8) $(man8_dir)/.
+		$(INSTALL_FILE) $(MANPAGES_1) $(man1_dir)/.
+		$(INSTALL_FILE) $(MANPAGES_8) $(man8_dir)/.
 
 libauthbind.o:		libauthbind.c authbind.h
 		$(CC) -D_REENTRANT $(CFLAGS) $(CPPFLAGS) -c -o $@ -fPIC $<

=== debian/changelog ===
authbind (1.1.5.2-0.1) unstable; urgency=low

  * Non-maintainer Upload
  * Moved man pages to /usr/share/man and docs to
    /usr/share/doc/authbind. Added a prerm and a postinst script to set
    the /usr/doc/authbind link. (closes: #91112, #91376, #91387)
  * Fixed the path to the common licenses in debian/copyright
  * Added a section and priority field to the changelog
  * Added support for the `nostrip' and `debug' options in
    DEB_BUILD_OPTIONS.
  * Boosted Standards-Version to 3.5.2

 -- Bas Zoetekouw <bas@debian.org>  Sun, 13 May 2001 18:00:52 +0200

authbind (1.1.5.2) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Makefile: Add -D_GNU_SOURCE, closes: 86963

 -- Stephen Frost <sfrost@debian.org>  Fri, 16 Mar 2001 19:42:05 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
-Standards-Version: 2.1.1.0
+Standards-Version: 3.5.2
+Build-Depends: libc6-dev
 
 Package: authbind
 Architecture: any

## authbind 1.2.0

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,13 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: Makefile,v 1.5 1998/08/30 15:19:20 ian Exp $
+# $Id: Makefile,v 1.10 2007/09/23 19:22:24 ian Exp $
 
 prefix=/usr/local
 
 bin_dir=$(prefix)/bin
 lib_dir=$(prefix)/lib/authbind
+libexec_dir=$(lib_dir)
 
 share_dir=$(prefix)/share
 man_dir=$(share_dir)/man
@@ -30,26 +31,30 @@
 
 etc_dir=/etc/authbind
 
-INSTALL_FILE=install -o root -g root -m 644 
-INSTALL_PROGRAM=install -o root -g root -m 755 -s
-INSTALL_DIR=install -o root -g root -m 755 -d 
+INSTALL_FILE	?= install -o root -g root -m 644 
+INSTALL_PROGRAM ?= install -o root -g root -m 755 -s
+INSTALL_DIR	?= install -o root -g root -m 755 -d
+STRIP		?= strip
 
 OPTIMISE=	-O2
 LDFLAGS=	-g
+LIBS=		-ldl -lc
 CFLAGS=		-g $(OPTIMISE) \
 		-Wall -Wwrite-strings -Wpointer-arith -Wimplicit \
 		-Wnested-externs -Wmissing-prototypes -Wstrict-prototypes
 CPPFLAGS=	-DMAJOR_VER='"$(MAJOR)"' -DMINOR_VER='"$(MINOR)"' \
 		-DLIBAUTHBIND='"$(lib_dir)/$(LIBCANON)"' \
-		-DHELPER='"$(lib_dir)/helper"' -DCONFIGDIR='"$(etc_dir)"' \
+		-DHELPER='"$(libexec_dir)/$(HELPER)"' -DCONFIGDIR='"$(etc_dir)"' \
 		-D_GNU_SOURCE
 
 MAJOR=1
 MINOR=0
 LIBCANON=	libauthbind.so.$(MAJOR)
 LIBTARGET=	$(LIBCANON).$(MINOR)
+BINTARGETS=	authbind
+HELPER=		helper
 
-TARGETS=		authbind helper $(LIBTARGET)
+TARGETS=		$(BINTARGETS) $(HELPER) $(LIBTARGET)
 MANPAGES_1=		authbind.1
 MANPAGES_8=		authbind-helper.8
 
@@ -57,12 +62,12 @@
 
 install:		$(TARGETS)
 		$(INSTALL_DIR) $(lib_dir) $(man1_dir) $(man8_dir)
-		$(INSTALL_PROGRAM) authbind $(bin_dir)/.
+		$(INSTALL_PROGRAM) $(BINTARGETS) $(bin_dir)/.
 		$(INSTALL_FILE) $(LIBTARGET) $(lib_dir)/.
-		strip --strip-unneeded $(lib_dir)/$(LIBTARGET)
+		$(STRIP) --strip-unneeded $(lib_dir)/$(LIBTARGET)
 		ln -sf $(LIBTARGET) $(lib_dir)/$(LIBCANON)
-		$(INSTALL_PROGRAM) helper $(lib_dir)/.
-		chmod u+s $(lib_dir)/helper
+		$(INSTALL_PROGRAM) $(HELPER) $(libexec_dir)/.
+		chmod u+s $(libexec_dir)/$(HELPER)
 		$(INSTALL_DIR) $(etc_dir) \
 			$(etc_dir)/byport $(etc_dir)/byaddr $(etc_dir)/byuid
 
@@ -79,7 +84,8 @@
 helper.o authbind.o:	authbind.h
 
 $(LIBTARGET):		libauthbind.o
-		ld -shared -soname $(LIBCANON) -o $@ $< -ldl -lc
+		ld -shared -soname $(LIBCANON) -o $@ $< $(LIBS)
 
 clean distclean:
-		rm -f $(TARGETS) *.o *~ ./#*# *.bak *.new core libauthbind.so*
+		rm -f $(TARGETS) *.o *~ ./#*# *.bak *.new core
+		rm -f libauthbind.so* *.core

=== debian/changelog ===
authbind (1.2.0) unstable; urgency=low

  * Block signals during our child's execution.  Closes: #186439.
  * manpage: fix subtle error in description of interaction between
    set-id and LD_PRELOAD.  Closes: #36890.
  * Say in manpage that we may not work properly with multithreaded
    programs.  See also Bug#186439.
  * Make sure we don't try to encode errno's >127 in a status code.
  * New make variables for improved portability and customisation of
    locations: LIBS, libexec_dir, HELPER, BINTARGETS.
  * make clean removes *.core too.
  * #include <signal.h> in libauthbind.c.
  * Set SHELL=/bin/bash in debian/rules.  Closes: #374586.
  * Revert Amaya's accidental change to CC= line in debian/rules.
  * Debian-native again.  Closes: #393556.
  * Do not strip if DEB_BUILD_OPTIONS=nostrip (Closes: #436489):
    - in Makefile, do not set INSTALL_* or STRIP if already set
    - in rules, export STRIP=: if nostrip
  * Change my email address in Maintainer: to davenant.
    
 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 23 Sep 2007 20:23:50 +0100

authbind (1.1.5.2-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link (Closes: #359363).
  * Revamped packaging a bit:
    - Get rid of Build-Depends on libc6-dev (build-essential)
    - spelling-error-in-copyright Debian/GNU Linux Debian GNU/Linux
    - Not debian-native anymore
    - Updated ancient-standards-version to 3.7.2, no changes needed.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 12 Jul 2006 12:28:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: authbind
 Section: utils
 Priority: extra
-Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
-Standards-Version: 3.5.2
-Build-Depends: libc6-dev
+Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
+Standards-Version: 3.7.2
 
 Package: authbind
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,46 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: rules,v 1.3 1998/08/30 02:50:08 ian Exp $
+# $Id: rules,v 1.7 2007/09/23 19:22:24 ian Exp $
 
 CC= gcc
+SHELL=/bin/bash
 
 package=authbind
 major=1
 minor=0
 
 arch = $(shell dpkg --print-architecture)
+
+INSTALL = install
+INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
+INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
+INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
+INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
+
+CFLAGS = -O2 -Wall
+LDFLAGS = 
+
+
+CFLAGS += -g
+LDFLAGS += -g 
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+INSTALL_PROGRAM += -s
+STRIP=strip
+else
+STRIP=:
+endif
+
+export CFLAGS
+export LDFLAGS
+export INSTALL
+export INSTALL_FILE
+export INSTALL_PROGRAM
+export INSTALL_SCRIPT
+export INSTALL_DIR
+export STRIP
+
 
 build: 
 	$(MAKE) prefix=/usr
@@ -43,25 +74,25 @@
 # made here.
 
 lab=libauthbind.so.$(major).$(minor)
-udp=debian/tmp/usr/doc/$(package)
+udp=debian/tmp/usr/share/doc/$(package)
 
 binary-arch:	checkroot build
 	rm -rf debian/tmp
 	install -d -g root -m 755 -o root debian/tmp/DEBIAN $(udp) \
-		debian/tmp/usr/{bin,lib/$(package),man}
+		debian/tmp/usr/{bin,lib/$(package),share/man}
 	$(MAKE) prefix=debian/tmp/usr etc_dir=debian/tmp/etc/authbind \
-		man_dir=debian/tmp/usr/man  install install_man
-	install -g root -o root -m 644 debian/changelog $(udp)/changelog.Debian
-	gzip -9 debian/tmp/usr/man/man*/* $(udp)/*
-	install -g root -o root -m 644 debian/copyright $(udp)/.
-	install -g root -o root -m 755 debian/postrm debian/tmp/DEBIAN
+		man_dir=debian/tmp/usr/share/man  install install_man
+	$(INSTALL_FILE) debian/changelog $(udp)/changelog
+	gzip -9 debian/tmp/usr/share/man/man*/* $(udp)/*
+	$(INSTALL_FILE) debian/copyright $(udp)/.
+	$(INSTALL_SCRIPT) debian/{postrm,prerm,postinst} debian/tmp/DEBIAN
 ifneq ($(arch),alpha)
-	install -g root -o root -m 644 debian/shlibs debian/tmp/DEBIAN
+	$(INSTALL_FILE) debian/shlibs debian/tmp/DEBIAN
 else
-	install -g root -o root -m 644 debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
+	$(INSTALL_FILE) debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
 endif
 	dpkg-shlibdeps ./authbind
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..

## authbind 1.2.0build2

=== debian/changelog ===
authbind (1.2.0build2) karmic; urgency=low

  * helper.c libauthbind.c: Allow ports above 1023. (LP: #347211) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Oct 2009 13:34:18 -0400

authbind (1.2.0build1) karmic; urgency=low

  * No-change rebuild to gain FORTIFY defaults.

 -- Kees Cook <kees@ubuntu.com>  Mon, 11 May 2009 12:07:16 -0700

## authbind 1.2.0build3

=== debian/changelog ===
authbind (1.2.0build3) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Fri, 05 Mar 2010 03:09:59 +0100

## authbind 2.1.1

=== debian/changelog ===
authbind (2.1.1) unstable; urgency=low

  * Manpage has an example of which files will be checked and read
    Closes: #676540.
  * Do not include library version number in usage output from helper; the
    library and package version numbers are not the same, so this is
    misleading, and we do not want to introduce new machinery just to
    plumb the package version number through.  Closes: #676440.
  * Another minor wording fix in the manpage.x

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Jun 2012 23:17:14 +0100

authbind (2.1.0) unstable; urgency=low

  * Permissions file lines can contain IPv6 mask/length.
  * Permissions file lines need only contain one port number.
  * Manpage improvements.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 03 Jun 2012 12:33:53 +0100

authbind (2.0.1) unstable; urgency=low

  Bugfix:
  * 0-length ipv4 address masks (ie, 0.0.0.0/0) in byuid files wouldn't
    work because they would attempt a 32-bit shift.  This was reported
    against Ubuntu in Launchpad but the but is here too.  LP: #514278.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 03 Jun 2012 01:50:13 +0100

authbind (2.0.0) unstable; urgency=medium

  Important new functionality:
  * Support IPv6.  (Closes: #596921.)
  * Support ports 512-1023 if the user really wants.
    Explain the problem more clearly in the manpage.  (Closes: 654706.)

  Bugfixes:
  * Correct manpage description of helper protocol to have
    actually-implemented byte order convention.  (Closes: #651694.)
  * Improve wording in BUGS section of manpage about forking.

  Packaging fixes:
  * Remove shlibs files.  These are not needed because nothing should
    actually link to libauthbind.
  * Update Standards-Version.
  * Upstream repo is now in git.
  * Change my email address.
  * Set Priority to optional as in ftpmaster override file.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 02 Jun 2012 01:56:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 #
-# $Id: rules,v 1.7 2007/09/23 19:22:24 ian Exp $
+# $Id$
 
 CC= gcc
 SHELL=/bin/bash
@@ -86,11 +86,6 @@
 	gzip -9 debian/tmp/usr/share/man/man*/* $(udp)/*
 	$(INSTALL_FILE) debian/copyright $(udp)/.
 	$(INSTALL_SCRIPT) debian/{postrm,prerm,postinst} debian/tmp/DEBIAN
-ifneq ($(arch),alpha)
-	$(INSTALL_FILE) debian/shlibs debian/tmp/DEBIAN
-else
-	$(INSTALL_FILE) debian/shlibs.alpha debian/tmp/DEBIAN/shlibs
-endif
 	dpkg-shlibdeps ./authbind
 	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp

## authbind 2.1.1+nmu1

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
-#
-# $Id: Makefile,v 1.10 2007/09/23 19:22:24 ian Exp $
 
 prefix=/usr/local

=== debian/changelog ===
authbind (2.1.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix mtimes before building binary packages to produce reproducible output
    Based on patch by akira (Closes: #792945)

 -- Johannes Schauer <josch@debian.org>  Sun, 26 Jul 2015 11:23:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,8 @@
 minor=0
 
 arch = $(shell dpkg --print-architecture)
+
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog --count 1 -SDate)" +%s)
 
 INSTALL = install
 INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
@@ -90,6 +92,8 @@
 	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
+	find debian/tmp -newermt "@$$SOURCE_DATE_EPOCH" -print0 | \
+		xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
 	dpkg --build debian/tmp ..
 
 binary:	 binary-indep binary-arch

## authbind 2.1.2

=== Makefile ===
--- 
+++ 
@@ -82,7 +82,7 @@
 helper.o authbind.o:	authbind.h
 
 $(LIBTARGET):		libauthbind.o
-		ld -shared -soname $(LIBCANON) -o $@ $< $(LIBS)
+		$(LD) -shared -soname $(LIBCANON) -o $@ $< $(LIBS)
 
 clean distclean:
 		rm -f $(TARGETS) *.o *~ ./#*# *.bak *.new core

=== debian/changelog ===
authbind (2.1.2) unstable; urgency=medium

  * Cope with programs which set SIGCHLD to SIG_IGN.  (We assume
    they don't manipulate SIGCHLD on other threads, which is probably
    true.)  Patch from Marco d'Itri, slightly modified.  Closes:#765587.
  * Fix one-letter typo in previous changelog entry.
  * Add -n to gzip -9 rune, to help reproducibility.  Closes:#777727.
  * Fix FTCBFS: Use triplet-prefixed build tools.
    Patch from Helmut Grohne, modified.  Closes: #851206.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 22 Jan 2017 13:17:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: authbind
 Section: utils
-Priority: extra
-Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
-Standards-Version: 3.7.2
+Priority: optional
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Standards-Version: 3.9.1
 
 Package: authbind
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 #
 # $Id$
 
-CC= gcc
 SHELL=/bin/bash
 
 package=authbind
@@ -28,6 +27,11 @@
 minor=0
 
 arch = $(shell dpkg --print-architecture)
+
+TOOL_PREFIX = $(shell set -x; a=`dpkg-architecture -q DEB_HOST_GNU_TYPE`; echo $$a$${a+-})
+ifeq ($(origin CC),default)
+CC=$(TOOL_PREFIX)gcc
+endif
 
 export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog --count 1 -SDate)" +%s)
 
@@ -45,8 +49,8 @@
 LDFLAGS += -g 
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-INSTALL_PROGRAM += -s
-STRIP=strip
+STRIP=$(TOOL_PREFIX)strip
+INSTALL_PROGRAM += -s --strip-program=$(STRIP)
 else
 STRIP=:
 endif
@@ -62,7 +66,7 @@
 
 
 build: 
-	$(MAKE) prefix=/usr
+	$(MAKE) prefix=/usr CC='$(CC)' LD='$(TOOL_PREFIX)ld'
 
 clean:	
 	$(MAKE) distclean
@@ -85,7 +89,7 @@
 	$(MAKE) prefix=debian/tmp/usr etc_dir=debian/tmp/etc/authbind \
 		man_dir=debian/tmp/usr/share/man  install install_man
 	$(INSTALL_FILE) debian/changelog $(udp)/changelog
-	gzip -9 debian/tmp/usr/share/man/man*/* $(udp)/*
+	gzip -9n debian/tmp/usr/share/man/man*/* $(udp)/*
 	$(INSTALL_FILE) debian/copyright $(udp)/.
 	$(INSTALL_SCRIPT) debian/{postrm,prerm,postinst} debian/tmp/DEBIAN
 	dpkg-shlibdeps ./authbind

## authbind 2.1.2build1

=== debian/changelog ===
authbind (2.1.2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:26 +0200

## authbind 2.1.3

=== debian/changelog ===
authbind (2.1.3) unstable; urgency=medium

  * debian/rules: add newly required targets, and reorder/tidy.
    Closes: #999242.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 17 Dec 2021 18:34:02 +0000

=== debian/rules ===
--- 
+++ 
@@ -64,23 +64,11 @@
 export INSTALL_DIR
 export STRIP
 
-
-build: 
-	$(MAKE) prefix=/usr CC='$(CC)' LD='$(TOOL_PREFIX)ld'
-
-clean:	
-	$(MAKE) distclean
-	rm -rf debian/{files,substvars,tmp} build
-	rm -f debian/*~ debian/#*# debian/core debian/*.bak
-
-binary-indep:   checkroot build
-	$(checkdir)
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
-
 lab=libauthbind.so.$(major).$(minor)
 udp=debian/tmp/usr/share/doc/$(package)
+
+build-arch: 
+	$(MAKE) prefix=/usr CC='$(CC)' LD='$(TOOL_PREFIX)ld'
 
 binary-arch:	checkroot build
 	rm -rf debian/tmp
@@ -100,8 +88,18 @@
 		xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
 	dpkg --build debian/tmp ..
 
-binary:	 binary-indep binary-arch
+binary-indep build-indep:
+# There are no architecture-independent files to be uploaded
+# generated by this package.
+
+clean:	
+	$(MAKE) distclean
+	rm -rf debian/{files,substvars,tmp} build
+	rm -f debian/*~ debian/#*# debian/core debian/*.bak
 
 checkroot:
 	$(checkdir)
 	test root = "`whoami`"
+
+binary:	binary-indep binary-arch
+build:	build-indep build-arch

## authbind 2.1.3build1

=== debian/changelog ===
authbind (2.1.3build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:41:57 +0100

## authbind 2.1.3build2

=== debian/changelog ===
authbind (2.1.3build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: authbind
 Section: utils
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 3.9.1
 
 Package: authbind

## authbind 2.1.3ubuntu2

=== debian/changelog ===
authbind (2.1.3ubuntu2) oracular; urgency=medium

  * Rebuild to exclude .git directory from source.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 09 Jul 2024 09:24:56 -0400

authbind (2.1.3ubuntu1) oracular; urgency=medium

  * Do not override CFLAGS & LDFLAGS set by the maintainer. This allows one to
    control the presence of frame-pointers (LP: #2071841) and also enable LTO.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Wed, 03 Jul 2024 17:42:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,8 @@
 INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
 
-CFLAGS = -O2 -Wall
-LDFLAGS = 
 
-
-CFLAGS += -g
-LDFLAGS += -g 
+include /usr/share/dpkg/buildflags.mk
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 STRIP=$(TOOL_PREFIX)strip
@@ -55,8 +51,6 @@
 STRIP=:
 endif
 
-export CFLAGS
-export LDFLAGS
 export INSTALL
 export INSTALL_FILE
 export INSTALL_PROGRAM
@@ -68,7 +62,7 @@
 udp=debian/tmp/usr/share/doc/$(package)
 
 build-arch: 
-	$(MAKE) prefix=/usr CC='$(CC)' LD='$(TOOL_PREFIX)ld'
+	$(MAKE) prefix=/usr CC='$(CC)' LD='$(TOOL_PREFIX)ld' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 
 binary-arch:	checkroot build
 	rm -rf debian/tmp

## authbind 2.2.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 # along with this program; if not, write to the Free Software Foundation,
 # Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 
+DESTDIR ?=
 prefix=/usr/local
 
 bin_dir=$(prefix)/bin
@@ -59,19 +60,20 @@
 all:			$(TARGETS)
 
 install:		$(TARGETS)
-		$(INSTALL_DIR) $(lib_dir) $(man1_dir) $(man8_dir)
-		$(INSTALL_PROGRAM) $(BINTARGETS) $(bin_dir)/.
-		$(INSTALL_FILE) $(LIBTARGET) $(lib_dir)/.
-		$(STRIP) --strip-unneeded $(lib_dir)/$(LIBTARGET)
-		ln -sf $(LIBTARGET) $(lib_dir)/$(LIBCANON)
-		$(INSTALL_PROGRAM) $(HELPER) $(libexec_dir)/.
-		chmod u+s $(libexec_dir)/$(HELPER)
-		$(INSTALL_DIR) $(etc_dir) \
-			$(etc_dir)/byport $(etc_dir)/byaddr $(etc_dir)/byuid
+		$(INSTALL_DIR) $(DESTDIR)$(bin_dir) $(DESTDIR)$(lib_dir)
+		$(INSTALL_PROGRAM) $(BINTARGETS) $(DESTDIR)$(bin_dir)/.
+		$(INSTALL_FILE) $(LIBTARGET) $(DESTDIR)$(lib_dir)/.
+		$(STRIP) --strip-unneeded $(DESTDIR)$(lib_dir)/$(LIBTARGET)
+		ln -sf $(LIBTARGET) $(DESTDIR)$(lib_dir)/$(LIBCANON)
+		$(INSTALL_PROGRAM) $(HELPER) $(DESTDIR)$(libexec_dir)/.
+		chmod u+s $(DESTDIR)$(libexec_dir)/$(HELPER)
+		$(INSTALL_DIR) $(DESTDIR)$(etc_dir) \
+			$(DESTDIR)$(etc_dir)/byport $(DESTDIR)$(etc_dir)/byaddr $(DESTDIR)$(etc_dir)/byuid
 
 install_man:		$(MANPAGES_1) $(MANPAGES_8)
-		$(INSTALL_FILE) $(MANPAGES_1) $(man1_dir)/.
-		$(INSTALL_FILE) $(MANPAGES_8) $(man8_dir)/.
+		$(INSTALL_DIR) $(DESTDIR)$(man1_dir) $(DESTDIR)$(man8_dir)
+		$(INSTALL_FILE) $(MANPAGES_1) $(DESTDIR)$(man1_dir)/.
+		$(INSTALL_FILE) $(MANPAGES_8) $(DESTDIR)$(man8_dir)/.
 
 libauthbind.o:		libauthbind.c authbind.h
 		$(CC) -D_REENTRANT $(CFLAGS) $(CPPFLAGS) -c -o $@ -fPIC $<

=== debian/changelog ===
authbind (2.2.0) unstable; urgency=medium

  Upstream build system:
  * Makefile: Fix missing `install -d` of `$(bin_dir)`.  [Niels Thykier]
  * Makefile: Support `DESTDIR` convention.  [Niels Thykier]
  * Makefile: Fix race creating manpage dirs.

  Debian packaging:
  * Rewrite packaging to use dh sequencer.  Packaging output greatly improved.
    Removes the need for fakeroot.  Closes: #1086628.  [Niels Thykier]
    Probably also fixes #1075720.
  * Description: Mention LD_PRELOAD.  Closes: #949949.
  * d/control: Add `Vcs-*` headers.   [Niels Thykier]
  * Abolish the prerm and postinst (/usr/share transition).  Closes: #866249.
  * Add an autopkgtest.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 11 Nov 2024 00:04:16 +0000

=== debian/control ===
Source: authbind
Section: utils
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Standards-Version: 3.9.1
Build-Depends: debhelper-compat (= 13),
Rules-Requires-Root: no
Vcs-Git: https://www.chiark.greenend.org.uk/ucgi/~ian/githttp/authbind.git
Vcs-Browser: https://www.chiark.greenend.org.uk/ucgi/~ian/git/authbind.git

Package: authbind
Architecture: any
Depends: ${shlibs:Depends}
Description: Allows non-root programs to bind() to low ports
 This package allows a package to be started as non-root but
 still bind to low ports, without any changes to the application.
 .
 This is achieved with LD_PRELOAD.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules for authbind
#
# authbind is Copyright (C) 1998 Ian Jackson
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id$

package=authbind

INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -m  755
INSTALL_DIR     = $(INSTALL) -p -d -m  755
STRIP = true

export INSTALL
export INSTALL_FILE
export INSTALL_PROGRAM
export INSTALL_SCRIPT
export INSTALL_DIR
export STRIP


%:
	dh $@


override_dh_auto_build:
	# prefix is needed here because it is recorded in the authbind binary
	# (as a part of an error message). It would probably be fine without it,
	# but it seems weird to be inconsistent between the installed location
	# and the error message.
	dh_auto_build -- prefix=/usr


override_dh_auto_install:
	dh_auto_install -- prefix=/usr install install_man

execute_after_dh_fixperms:
	# Redo the setuid mode that `dh_fixperms` removes
	chmod u+s debian/$(package)/usr/lib/authbind/helper

=== debian/tests/control ===
Depends: @, socat, chiark-really
Restrictions: needs-root, skippable, allow-stderr
Tests: socat

## authbind 2.2.0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -36,16 +36,11 @@
 STRIP		?= strip
 
 OPTIMISE=	-O2
-LDFLAGS=	-g
+LDFLAGS ?=	-g
 LIBS=		-ldl -lc
-CFLAGS=		-g $(OPTIMISE) \
+CFLAGS ?=		-g $(OPTIMISE) \
 		-Wall -Wwrite-strings -Wpointer-arith -Wimplicit \
 		-Wnested-externs -Wmissing-prototypes -Wstrict-prototypes
-CPPFLAGS=	-DMAJOR_VER='"$(MAJOR)"' -DMINOR_VER='"$(MINOR)"' \
-		-DLIBAUTHBIND='"$(lib_dir)/$(LIBCANON)"' \
-		-DHELPER='"$(libexec_dir)/$(HELPER)"' -DCONFIGDIR='"$(etc_dir)"' \
-		-D_GNU_SOURCE
-
 MAJOR=1
 MINOR=0
 LIBCANON=	libauthbind.so.$(MAJOR)
@@ -56,6 +51,11 @@
 TARGETS=		$(BINTARGETS) $(HELPER) $(LIBTARGET)
 MANPAGES_1=		authbind.1
 MANPAGES_8=		authbind-helper.8
+
+CPPFLAGS := $(CPPFLAGS) -DMAJOR_VER='"$(MAJOR)"' -DMINOR_VER='"$(MINOR)"' \
+		-DLIBAUTHBIND='"$(lib_dir)/$(LIBCANON)"' \
+		-DHELPER='"$(libexec_dir)/$(HELPER)"' -DCONFIGDIR='"$(etc_dir)"' \
+		-D_GNU_SOURCE
 
 all:			$(TARGETS)

=== debian/changelog ===
authbind (2.2.0ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085217). Remaining changes:
    - .gititnore, d/.cvsignore: deleted
      [previously undocumented]
    - Do not override CFLAGS & LDFLAGS set by the maintainer. This
      allows one to control the presence of frame-pointers (LP #2071841) and
      also enable LTO.
      + Makefile: honor buildflags set by the buildsystem, if any
      + d/rules: export buildflags

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 06 Dec 2024 17:18:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: authbind
 Section: utils
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 3.9.1
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,8 @@
 export INSTALL_DIR
 export STRIP
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

## authbind 2.2.0ubuntu2

=== debian/changelog ===
authbind (2.2.0ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:36:45 +0100
